No matching patchset found for 2.6.35

If you have trouble with PHC you can ask and hope for help here.
Post Reply [phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1275: count(): Parameter must be an array or an object that implements Countable
Hero of War
Posts: 9
Joined: Mon 15. Feb 2010, 00:59
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1275: count(): Parameter must be an array or an object that implements Countable

No matching patchset found for 2.6.35

Post by Hero of War » Wed 20. Oct 2010, 02:22

Hi,

I'm trying to install phc-intel on Ubuntu 10.10 with Intel processor.
When I type "make prepare", following appears:

Code: Select all

Makefile detected your kernel version as 2.6.35
***NO MATCHING PATCHSET FOUND FOR 2.6.35***
Seems like this version of kernel is not supported.
What to do?

Thanks in Advance!

SimonP
Posts: 5
Joined: Thu 21. Oct 2010, 13:07
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1275: count(): Parameter must be an array or an object that implements Countable

Re: No matching patchset found for 2.6.35

Post by SimonP » Thu 21. Oct 2010, 13:18

ran in to that problem to today (you lucky bastard) and i patched up the code for compatiblity with the 2.6.35

i hope this helps but i dont guaranty it works (it compiles for me and doesn't crach but that's all i can say)

edit: a litle update so that this version stil can be used with other kernels (and changed the name of the folder to make it distinguishable from the official source)

edit2: curent version (also for 2.6.36) at http://www.linux-phc.org/forum/viewtopi ... 1224#p1224
Last edited by SimonP on Thu 21. Oct 2010, 20:26, edited 2 times in total.

Hero of War
Posts: 9
Joined: Mon 15. Feb 2010, 00:59
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1275: count(): Parameter must be an array or an object that implements Countable

Re: No matching patchset found for 2.6.35

Post by Hero of War » Thu 21. Oct 2010, 18:37

Wow, thank you, I will try this and report, how it works ;)

SimonP
Posts: 5
Joined: Thu 21. Oct 2010, 13:07
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1275: count(): Parameter must be an array or an object that implements Countable

Re: No matching patchset found for 2.6.35

Post by SimonP » Thu 21. Oct 2010, 20:17

meanwhile i made an update that should fix some litle potential problems it is at http://www.linux-phc.org/forum/viewtopi ... 1224#p1224 so if you run into any prolems first try that one.

Post Reply
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1275: count(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1275: count(): Parameter must be an array or an object that implements Countable